Create a Deployment
Creates a new deployment for an infrastructure hosting project. You must first generate an upload signature and upload your deployment artifact before creating a deployment.
Only one deployment can be in progress per project at a time. If a deployment is already in progress, the API returns a 409 Conflict response.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects an object.
upload_uuid
The UUID of the uploaded deployment artifact, obtained from the Generate Upload Signature endpoint.
project_uuid
The UUID of the project to deploy to.
environment_variables
Optional environment variables to set for this deployment.
Response
The deployment was created successfully.
data
meta
Empty meta object.
Errors
409
Conflict Error